version: '3'
services:
    php-apache:
        build:
            context: ./webserver
        image: php:7.2.1-apache
        ports:
            - 80:80
        volumes:
            - .:/var/www/html
        links:
            - 'mariadb'

    mariadb:
        image: mariadb:latest
        ports: 
          - "3306:3306"
        volumes:
            - mariadb:/var/lib/mysql
        environment:
            MYSQL_ALLOW_EMPTY_PASSWORD: "no"
            MYSQL_ROOT_PASSWORD: "rootpwd"
            MYSQL_USER: 'testuser'
            MYSQL_PASSWORD: 'testpassword'
            MYSQL_DATABASE: 'ppid'
    
    phpmyadmin:
        container_name: phpmyadmin
        image: phpmyadmin/phpmyadmin
        hostname: pma
        links:
          - mariadb
        ports:
          - 8000:80
        environment:
          - PMA_ARBITRARY=1
          - PMA_HOST=mariadb    
        depends_on:
          - mariadb

volumes:
    mariadb: